Skip to content
Start here

Destinations

DestinationsEligible

Get delivery mechanism eligibility
alerting.destinations.eligible.get(EligibleGetParams**kwargs) -> EligibleGetResponse
GET/accounts/{account_id}/alerting/v3/destinations/eligible
ModelsExpand Collapse
Dict[str, List[EligibleGetResponseItem]]
eligible: Optional[bool]

Determines whether or not the account is eligible for the delivery mechanism.

ready: Optional[bool]

Beta flag. Users can create a policy with a mechanism that is not ready, but we cannot guarantee successful delivery of notifications.

type: Optional[Literal["email", "pagerduty", "webhook"]]

Determines type of delivery mechanism.

One of the following:
"email"
"pagerduty"
"webhook"

DestinationsPagerduty

List PagerDuty services
alerting.destinations.pagerduty.get(PagerdutyGetParams**kwargs) -> SyncSinglePage[Pagerduty]
GET/accounts/{account_id}/alerting/v3/destinations/pagerduty
Create PagerDuty integration token
alerting.destinations.pagerduty.create(PagerdutyCreateParams**kwargs) -> PagerdutyCreateResponse
POST/accounts/{account_id}/alerting/v3/destinations/pagerduty/connect
Delete PagerDuty Services
alerting.destinations.pagerduty.delete(PagerdutyDeleteParams**kwargs) -> PagerdutyDeleteResponse
DELETE/accounts/{account_id}/alerting/v3/destinations/pagerduty
Connect PagerDuty
alerting.destinations.pagerduty.link(strtoken_id, PagerdutyLinkParams**kwargs) -> PagerdutyLinkResponse
GET/accounts/{account_id}/alerting/v3/destinations/pagerduty/connect/{token_id}
ModelsExpand Collapse
class Pagerduty:
id: Optional[str]

UUID

maxLength32
name: Optional[str]

The name of the pagerduty service.

class PagerdutyCreateResponse:
id: Optional[str]

token in form of UUID

maxLength32
class PagerdutyDeleteResponse:
errors: List[Error]
message: str
code: Optional[int]
minimum1000
messages: List[Message]
message: str
code: Optional[int]
minimum1000
success: Literal[true]

Whether the API call was successful

DestinationsWebhooks

List webhooks
alerting.destinations.webhooks.list(WebhookListParams**kwargs) -> SyncSinglePage[Webhooks]
GET/accounts/{account_id}/alerting/v3/destinations/webhooks
Get a webhook
alerting.destinations.webhooks.get(strwebhook_id, WebhookGetParams**kwargs) -> Webhooks
GET/accounts/{account_id}/alerting/v3/destinations/webhooks/{webhook_id}
Create a webhook
alerting.destinations.webhooks.create(WebhookCreateParams**kwargs) -> WebhookCreateResponse
POST/accounts/{account_id}/alerting/v3/destinations/webhooks
Update a webhook
alerting.destinations.webhooks.update(strwebhook_id, WebhookUpdateParams**kwargs) -> WebhookUpdateResponse
PUT/accounts/{account_id}/alerting/v3/destinations/webhooks/{webhook_id}
Delete a webhook
alerting.destinations.webhooks.delete(strwebhook_id, WebhookDeleteParams**kwargs) -> WebhookDeleteResponse
DELETE/accounts/{account_id}/alerting/v3/destinations/webhooks/{webhook_id}
ModelsExpand Collapse
class Webhooks:
id: Optional[str]

The unique identifier of a webhook

maxLength32
created_at: Optional[datetime]

Timestamp of when the webhook destination was created.

formatdate-time
last_failure: Optional[datetime]

Timestamp of the last time an attempt to dispatch a notification to this webhook failed.

formatdate-time
last_success: Optional[datetime]

Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.

formatdate-time
name: Optional[str]

The name of the webhook destination. This will be included in the request body when you receive a webhook notification.

secret: Optional[str]

Optional secret that will be passed in the cf-webhook-auth header when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body.

type: Optional[Literal["datadog", "discord", "feishu", 5 more]]

Type of webhook endpoint.

One of the following:
"datadog"
"discord"
"feishu"
"gchat"
"generic"
"opsgenie"
"slack"
"splunk"
url: Optional[str]

The POST endpoint to call when dispatching a notification.

class WebhookCreateResponse:
id: Optional[str]

UUID

maxLength32
class WebhookUpdateResponse:
id: Optional[str]

UUID

maxLength32
class WebhookDeleteResponse:
errors: List[Error]
message: str
code: Optional[int]
minimum1000
messages: List[Message]
message: str
code: Optional[int]
minimum1000
success: Literal[true]

Whether the API call was successful